package com.goafanti.cognizance.service;

import java.util.List;

import com.goafanti.common.model.OrgHonorDatum;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgHonorDatumService {

	Pagination<OrgHonorDatum> listOrgHonorDatum(Integer pNo, Integer pSize, String userId);

	OrgHonorDatum insert(OrgHonorDatum honor);

	int updateByPrimaryKeySelective(OrgHonorDatum honor);

	int deleteByPrimaryKey(List<String> id);

	OrgHonorDatum selectByPrimaryKey(String id);

}
